Skip to Content
Internet top up

Check a top-up by ref

GET
/v3/internet/check-ref/{ref}

Status of one internet top-up by your ref.

Authorization

AccessToken
headerX-Access-Token<token>

Your API key. Sandbox keys start with flx_test_, production keys with flx_live_.

Path Parameters

ref*string
Length1 <= length <= 64

Response Body

The top-up

application/json
  1. response
success*true
Value intrue
data*
meta*
requestId*string
Example Request
curl -X GET 'https://api.flexyliktelecom.com/v3/internet/check-ref/order-10293'
Example Response
{  "success": true,  "data": {    "_id": "T00045678",    "ref": "order-10294",    "status": "HANDLING",    "type": "ADSL",    "number": "030000009",    "topup_amount": 1000,    "balance_amount": 1000,    "card_name": "string",    "card_code": "string",    "serial_number": "string",    "num_trans": "string",    "refund_message": "string",    "manual_message": "string",    "created_at": "2026-11-15T10:31:00.000Z"  },  "meta": {    "timestamp": "2026-11-15T10:30:00.000Z"  },  "requestId": "req_8fK2mQx7Lp0aZ3nV1cWb"}